Gecode::Int::Extensional::PosCompare Class Reference

Tuple comparison by position. More...

## Public Member Functions

| PosCompare (int p)
| Initialize with position p.
bool | operator() (const Tuple &a, const Tuple &b)
| Comparison of tuples a and b.

## Detailed Description

Tuple comparison by position.

Definition at line 59 of file tuple-set.cpp.

## Constructor & Destructor Documentation

## PosCompare()

Gecode::Int::Extensional::PosCompare::PosCompare | ( | int | p | ) |

inline

Initialize with position p.

Definition at line 86 of file tuple-set.cpp.

## Member Function Documentation

## operator()()

bool Gecode::Int::Extensional::PosCompare::operator() | ( | const Tuple & | a,
|  | const Tuple & | b )

inline

Comparison of tuples a and b.

Definition at line 89 of file tuple-set.cpp.

The documentation for this class was generated from the following file:

- gecode/int/extensional/tuple-set.cpp